DO $$
    DECLARE
        _path character varying(256) := 'patch-2025_12_09-ProjectAttachments_Type';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15795) THEN
            RETURN;
        END IF;

        BEGIN
            ALTER TABLE public."ProjectAttachments"
                ADD COLUMN IF NOT EXISTS "Type" INTEGER NOT NULL DEFAULT 0;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;